# :copyright: (c) 2021 by Pavlo Dmytrenko.
# :license: MIT, see LICENSE for more details.

"""
yaspin.constants
~~~~~~~~~~~~~~~~

Some setups.
"""


ENCODING = "utf-8"
COLOR_MAP = {
    # name: type
    "blink": "attrs",
    "bold": "attrs",
    "concealed": "attrs",
    "dark": "attrs",
    "reverse": "attrs",
    "underline": "attrs",
    "blue": "color",
    "cyan": "color",
    "green": "color",
    "magenta": "color",
    "red": "color",
    "white": "color",
    "yellow": "color",
    "on_blue": "on_color",
    "on_cyan": "on_color",
    "on_green": "on_color",
    "on_grey": "on_color",
    "on_magenta": "on_color",
    "on_red": "on_color",
    "on_white": "on_color",
    "on_yellow": "on_color",
    # New colors and highlights, from termcolor v2.2.0
    "black": "color",
    "dark_grey": "color",
    "light_grey": "color",
    "light_red": "color",
    "light_green": "color",
    "light_yellow": "color",
    "light_blue": "color",
    "light_magenta": "color",
    "light_cyan": "color",
    "on_black": "on_color",
    "on_dark_grey": "on_color",
    "on_light_grey": "on_color",
    "on_light_red": "on_color",
    "on_light_green": "on_color",
    "on_light_yellow": "on_color",
    "on_light_blue": "on_color",
    "on_light_magenta": "on_color",
    "on_light_cyan": "on_color",
}
COLOR_ATTRS = COLOR_MAP.keys()

# Get spinner names:
# $ < yaspin/data/spinners.json | jq '. | keys'
SPINNER_ATTRS = [
    "aesthetic",
    "arc",
    "arrow",
    "arrow2",
    "arrow3",
    "balloon",
    "balloon2",
    "betaWave",
    "binary",
    "bluePulse",
    "bounce",
    "bouncingBall",
    "bouncingBar",
    "boxBounce",
    "boxBounce2",
    "christmas",
    "circle",
    "circleHalves",
    "circleQuarters",
    "clock",
    "dots",
    "dots10",
    "dots11",
    "dots12",
    "dots13",
    "dots2",
    "dots3",
    "dots4",
    "dots5",
    "dots6",
    "dots7",
    "dots8",
    "dots8Bit",
    "dots9",
    "dqpb",
    "dwarfFortress",
    "earth",
    "fingerDance",
    "fistBump",
    "flip",
    "grenade",
    "growHorizontal",
    "growVertical",
    "hamburger",
    "hearts",
    "layer",
    "line",
    "line2",
    "material",
    "mindblown",
    "monkey",
    "moon",
    "noise",
    "orangeBluePulse",
    "orangePulse",
    "pipe",
    "point",
    "pong",
    "runner",
    "sand",
    "shark",
    "simpleDots",
    "simpleDotsScrolling",
    "smiley",
    "soccerHeader",
    "speaker",
    "squareCorners",
    "squish",
    "star",
    "star2",
    "timeTravel",
    "toggle",
    "toggle10",
    "toggle11",
    "toggle12",
    "toggle13",
    "toggle2",
    "toggle3",
    "toggle4",
    "toggle5",
    "toggle6",
    "toggle7",
    "toggle8",
    "toggle9",
    "triangle",
    "weather",
]
